Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 02 Jul 2021 08:26:50 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns My orders #826448724 and #8264466687 i have returned the items and you promised to refund my amount within 14 days its been more than 20 days i have not received my amount back . I really very disappointed i need my refund orelse i will be forced to take necessary actions 
I had asked before 3-4 days as well they mentioned it will returned in 1-2 days still i have not received 

Please make sure I receive my amount today orelse i will be taking necessary action against 

Your dissatisfied customer https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2772913